QGIS Application - Bug report #19911
The vertex editor is not synchronized with vertex movements in edit mode
2018-09-21 11:23 AM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee: Loic BARTOLETTI

Category: Editing

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27735
Description

With QGIS 2 the vertex editor was synchronized (highlighting of vertex coordinates) with the selection and modification movements of
vertices.

This is no longer the case under QGIS 3.

It is also impossible to specify in the editor, the coordinates of a new vertex because the editor is not updated in real time.

see Attachment.

Related issues:

Related to QGIS Application - Bug report # 17806: [Digitizing] Selected verti... Closed 2018-01-05
Related to QGIS Application - Bug report # 17243: QGIS 3 vertex editor problems In Progress  2017-10-04
History

#1 - 2018-09-21 12:33 PM - Regis Haubourg
- Regression? changed from No to Yes

Confirmed here in 3.2 and master

#2 - 2018-09-21 01:07 PM - Harrissou Santanna

- Related to Bug report #17806: [Digitizing] Selected vertices in the map canvas are not shown in the Node editor panel added

#3 - 2018-09-21 01:22 PM - Harrissou Santanna
- Related to Bug report #17243: QGIS 3 vertex editor problems added

#4 - 2018-10-19 09:56 AM - Regis Haubourg

- Assignee set to Loic BARTOLETTI

PR submitted https://github.com/qgis/QGIS/pull/8032
I'm affecting Loic, but Denis, | you are on it also, feel free to reassign.

#5 - 2018-10-23 06:48 PM - Regis Haubourg

the above PR has been merged, thansk Loic!

| confirm it solves the update of coordinates in the editor panel.

| find some strange behavior, that maybe deserve another issue:
https://github.com/qgis/QGIS/pull/8032

- selecting the first node of a polygon from the vertex editor panel does not appear on screen, because last vertex is displayed above. This is surprising,

but minor

- select some nodes at once with SHIFT key is OK and in sync with canvas selection. But holding shift to add vertices to a selection list does not add them
to the map highlight, only the last selected vertex appears in blue.

Should | raise another issue?

#6 - 2018-10-24 06:32 AM - Loic BARTOLETTI

Regis Haubourg wrote:

the above PR has been merged, thansk Loic!

I confirm it solves the update of coordinates in the editor panel.

| find some strange behavior, that maybe deserve another issue:

- selecting the first node of a polygon from the vertex editor panel does not appear on screen, because last vertex is displayed above. This is

surprising, but minor

- select some nodes at once with SHIFT key is OK and in sync with canvas selection. But holding shift to add vertices to a selection list does not add
them to the map highlight, only the last selected vertex appears in blue.

Should I raise another issue?

Yes please

#7 - 2018-12-12 11:30 AM - Loic BARTOLETTI
- Status changed from Open to Closed
- Resolution set to fixed/implemented
#8 - 2019-02-19 08:11 AM - Bernhard Strobl
Loic BARTOLETTI wrote:

Regis Haubourg wrote:

Should | raise another issue?

Yes please

@Regis Haubourg: Did you file a new ticket for this? | am still experiencing this behaviour in master.
